Bug 231422 - ports-mgmt/portlint: GH_xx lines should be acceptable in the USExx section after USE_GITHUB=yes
Summary: ports-mgmt/portlint: GH_xx lines should be acceptable in the USExx section af...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-17 08:30 UTC by Yuri Victorovich
Modified: 2019-07-08 16:50 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments
Allows GH_* in USES section (562 bytes, patch)
2018-10-02 13:47 UTC, Diane Bruce
no flags Details | Diff
Updated patch (1.07 KB, patch)
2018-10-02 16:33 UTC, Diane Bruce
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-09-17 08:30:45 UTC
Testcase: textproc/py-orange3-text

> WARN: Makefile: extra item placed in the USES/USE_x section, for example, "GH_ACCOUNT"

GH_ACCOUNT/GH_PROJECT/GH_TUPLE lines should be allowed in the USExx section when they immediately follow USE_HITHUB=yes because it is often more readable when github-related lines are located together.

Likewise, GL_xx lines should be allowed to follow USE_GITLAB=yes.


Version 2.18.4.
Comment 1 Diane Bruce freebsd_committer 2018-10-02 13:47:10 UTC
Created attachment 197713 [details]
Allows GH_* in USES section

I'm very rusty at perl but I was fixing another problem in portlint anyway so here is my attempt.
Comment 2 Diane Bruce freebsd_committer 2018-10-02 13:49:17 UTC
(In reply to Diane Bruce from comment #1)
Oh I forgot to check that USE_GITHUB was set as well. I'll fix later.
Comment 3 Diane Bruce freebsd_committer 2018-10-02 16:33:00 UTC
Created attachment 197718 [details]
Updated patch
Comment 4 Joe Marcus Clarke freebsd_committer 2018-10-13 13:03:07 UTC
Committed to my CVS repo pending the next release.
Comment 5 Joe Marcus Clarke freebsd_committer 2018-10-13 15:41:04 UTC
Committed to 2.18.5.  Thanks!